package domain

type AlibabaWdkMarketingItemdiscountQueryactivityItemDiscountActivity struct {
	/*
	   商品特价优惠方式[itemDecreaseMoney:商品特价减钱;itemFixPrice:商品特价一口价;itemDiscount:商品特价打折]     */
	DiscountType *string `json:"discount_type,omitempty" `

	/*
	   活动名称,不超过10个英文字符     */
	ActivityName *string `json:"activity_name,omitempty" `

	/*
	   活动结束时间,时间戳     */
	EndTime *int64 `json:"end_time,omitempty" `

	/*
	   参加活动的渠道店ids     */
	ShopIds *[]string `json:"shop_ids,omitempty" `

	/*
	   商家活动id     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   活动详情描述,不超过30个英文字符     */
	Description *string `json:"description,omitempty" `

	/*
	   优惠适用场景[APP|POS|POS+APP分别对应的值为1|2|1,2]     */
	Terminals *[]int64 `json:"terminals,omitempty" `

	/*
	   活动开始时间,时间戳     */
	StartTime *int64 `json:"start_time,omitempty" `

	/*
	   五道口活动id     */
	ActivityId *int64 `json:"activity_id,omitempty" `

	/*
	   会员维度活动参与人群限制[-1:不限制;1:会员专享;2:非会员专享]     */
	MemberLimit *int64 `json:"member_limit,omitempty" `

	/*
	   商家人群编码     */
	MerchantCrowdCode *string `json:"merchant_crowd_code,omitempty" `

	/*
	   淘鲜达人群编码     */
	TxdCrowdCode *string `json:"txd_crowd_code,omitempty" `

	/*
	   渠道key     */
	ActivityChannel *string `json:"activity_channel,omitempty" `

	/*
	   周期优惠信息     */
	PeriodConfig *AlibabaWdkMarketingItemdiscountQueryactivityPeriodConfig `json:"period_config,omitempty" `

	/*
	   活动优先级，值越大表示优先级越高，必须大于0     */
	PriorityValue *int64 `json:"priority_value,omitempty" `

	/*
	   coverBefore     */
	CoverBefore *bool `json:"cover_before,omitempty" `
}

func (s *AlibabaWdkMarketingItemdiscountQueryactivityItemDiscountActivity) SetDiscountType(v string) *AlibabaWdkMarketingItemdiscountQueryactivityItemDiscountActivity {
	s.DiscountType = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountQueryactivityItemDiscountActivity) SetActivityName(v string) *AlibabaWdkMarketingItemdiscountQueryactivityItemDiscountActivity {
	s.ActivityName = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountQueryactivityItemDiscountActivity) SetEndTime(v int64) *AlibabaWdkMarketingItemdiscountQueryactivityItemDiscountActivity {
	s.EndTime = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountQueryactivityItemDiscountActivity) SetShopIds(v []string) *AlibabaWdkMarketingItemdiscountQueryactivityItemDiscountActivity {
	s.ShopIds = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountQueryactivityItemDiscountActivity) SetOutActId(v string) *AlibabaWdkMarketingItemdiscountQueryactivityItemDiscountActivity {
	s.OutActId = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountQueryactivityItemDiscountActivity) SetDescription(v string) *AlibabaWdkMarketingItemdiscountQueryactivityItemDiscountActivity {
	s.Description = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountQueryactivityItemDiscountActivity) SetTerminals(v []int64) *AlibabaWdkMarketingItemdiscountQueryactivityItemDiscountActivity {
	s.Terminals = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountQueryactivityItemDiscountActivity) SetStartTime(v int64) *AlibabaWdkMarketingItemdiscountQueryactivityItemDiscountActivity {
	s.StartTime = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountQueryactivityItemDiscountActivity) SetActivityId(v int64) *AlibabaWdkMarketingItemdiscountQueryactivityItemDiscountActivity {
	s.ActivityId = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountQueryactivityItemDiscountActivity) SetMemberLimit(v int64) *AlibabaWdkMarketingItemdiscountQueryactivityItemDiscountActivity {
	s.MemberLimit = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountQueryactivityItemDiscountActivity) SetMerchantCrowdCode(v string) *AlibabaWdkMarketingItemdiscountQueryactivityItemDiscountActivity {
	s.MerchantCrowdCode = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountQueryactivityItemDiscountActivity) SetTxdCrowdCode(v string) *AlibabaWdkMarketingItemdiscountQueryactivityItemDiscountActivity {
	s.TxdCrowdCode = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountQueryactivityItemDiscountActivity) SetActivityChannel(v string) *AlibabaWdkMarketingItemdiscountQueryactivityItemDiscountActivity {
	s.ActivityChannel = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountQueryactivityItemDiscountActivity) SetPeriodConfig(v AlibabaWdkMarketingItemdiscountQueryactivityPeriodConfig) *AlibabaWdkMarketingItemdiscountQueryactivityItemDiscountActivity {
	s.PeriodConfig = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountQueryactivityItemDiscountActivity) SetPriorityValue(v int64) *AlibabaWdkMarketingItemdiscountQueryactivityItemDiscountActivity {
	s.PriorityValue = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountQueryactivityItemDiscountActivity) SetCoverBefore(v bool) *AlibabaWdkMarketingItemdiscountQueryactivityItemDiscountActivity {
	s.CoverBefore = &v
	return s
}
